Files
Get a file (Deprecated)
Retrieves the details of an existing temporary file.
Retrieves the details of an existing file, including its expiration time.
Path Parameters
The unique identifier of the file.
Returns
Returns a 200 OK status code along with a file object if the file exists, or an error otherwise.
Standard
GET /v1/files/fil_0nZXZ8pYPByQ4XksJbDl4r HTTP/1.1
Host: api.signatureapi.com
X-API-Key: YOUR_API_KEY{
"id": "fil_0nZXZ8pYPByQ4XksJbDl4r",
"expires_at": "2026-11-02T15:03:11.000Z"
}{
"type": "https://signatureapi.com/docs/v1/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "File not found."
}Errors every call can return are in Errors and Authentication.